declare module 'react-intl-formatted-duration' {
  export interface FormattedDurationProps {
    seconds: number;
    textComponent?: React.ElementType;
    valueComponent?: React.ElementType;
    format?: string;
    unitDisplay?: 'long' | 'short' | 'narrow';
  }

  // eslint-disable-next-line react/prefer-stateless-function
  class FormattedDuration extends React.Component<FormattedDurationProps> {}

  static const TIMER_FORMAT: string;

  export default FormattedDuration;
}
